@echo off
:home
title "SDRP" Configuration
cls
echo ###############################################################################
echo ###########################    Track settings     #############################
echo ###########################     By VaiDuX461      #############################
echo ###############################################################################
echo Welcome to track settings. Here you can change mode, set rain and camera for
echo "Simple Dirty Raceway Playground" custom track.
echo Read "readme.txt" for more information.
echo If you want to change something, press number or letter key showed before 
echo function and press ENTER. In continue message, also press ENTER.
echo For more commands type "HELP", "help" or "?".
echo.
echo ================================= Game Mode ===================================
echo.
echo 1. Single Race, Time Trial, Practice...
echo 2. Stunt Arena
echo 3. Battle Tag (Multi-Player only)
echo.
echo ============================== Rain and Camera ================================
echo.
echo R. Turn on or off rain on track (like in Toytanic 2)
echo C. Change F5/replay ingame camera
echo.
echo E. To exit
echo.
set /P C=Please select? 
if "%C%"=="E" goto exit
if "%C%"=="e" goto exit
if "%C%"=="C" goto cam
if "%C%"=="c" goto cam
if "%C%"=="R" goto rain
if "%C%"=="r" goto rain
if "%C%"=="3" goto tag
if "%C%"=="2" goto stunt
if "%C%"=="1" goto race
if "%C%"=="HELP" goto help
if "%C%"=="help" goto help
if "%C%"=="?" goto help
if "%C%"=="CMD" goto cmd
if "%C%"=="CHT" goto cht
if "%C%"=="README" goto readtxt
if "%C%"=="RESET" goto reset
if "%C%"=="RUNRV" goto runrv
if "%C%"=="TIME" goto time
if "%C%"=="VER" goto ver
if "%C%"=="CARNIVAL" goto carn

:wrong
echo.
echo You made mistake selecting option, please try again.
pause
goto home

:help
echo.
echo List of commands:
echo Most commands are track settings, they're already written at main menu.
echo.
echo You can also use these commands here at main menu:
echo Use UPPERCASE letters or it will not work!
echo CMD	Goes to Command Prompt instantly.
echo CHT	Displays all available cheats for Re-Volt (PC version).
echo HELP	Displays all additional commands (You can also use "help" and "?")
echo README	Opens "readme.txt" file (if found) in same dir as this batch.
echo RESET	Resets all track settings to default.
echo RUNRV	Launches "revolt.exe" (if found).
echo TIME	Displays the system time and date.
echo VER	Displays config tool version, author and other info.
pause
goto home

;///other commands\\\
:cmd
title Command Prompt
cls
cmd
exit

:cht
echo List of Re-Volt (PC) cheats:
echo Use these codes on the name wheel in game.
echo CARNIVAL	All cars
echo CHANGELING	Change car at mid-race (use Page Up and Page Down keys)
echo DRINKME		Smaller cars
echo JOKER		Opponents cars look like your model in multiplayer
echo MAKEITGOOD	Enables in-game editors (for track makers)
echo SADIST		Cycle through all weapons (use Right Shift)
echo TRACKER		Unlock all tracks
echo TVTIME		Enables F5 and F6 cameras in game
echo URCO		Get Probe UFO car
pause
goto home

:readtxt
echo Opening "readme.txt"...
readme.txt
pause
goto home

:reset
set /P C=Do you really want to reset settings? (Y - Yes/N - No)? 
if "%C%"=="N" goto resetn
if "%C%"=="n" goto resetn
if "%C%"=="Y" goto resety
if "%C%"=="y" goto resety
goto reset
:resety
echo.
echo Reseting settings...
xcopy single_race /y
xcopy single_race\camera\reversed\SDirtyRPlaygrnd.cam reversed\ /y
echo.
echo Settings has been reseted successfully
pause
goto home
:resetn
echo.
echo Settings has not been reseted
pause
goto home

:runrv
cd ..
cd ..
echo Launching Re-Volt...
revolt.exe
pause
exit

:time
time /t
date /t
pause
goto home

:ver
echo RV Track config tool in batch [Version 0.91 Beta]
echo By VaiDuX461
echo Written with Windows Notepad
echo Build: 121103
echo Config file came with "Simple Dirty Raceway Playground" Custom Track
echo 2012
pause
goto home

:carn
echo "honka-honk-honk-honka..."
pause
echo Hehe...You thought it will do something here? aaand you were right.
echo BTW for secret, I will give you a TIP... 
pause
echo COMPLETE GOD DAMN GAME FOR ONCE!
pause
goto home

;///game mode change lines\\\
:race
cls
echo.
echo Changing to Single Race...
xcopy single_race /y
echo.
echo Track is now selectable as Single Race, Time Trial, Practice...
pause
goto home

:stunt
cls
echo.
echo Changing to Stunt Arena...
xcopy stunt_arena /y
xcopy battle_tag\SDirtyRPlaygrnd.ncp /y
echo deleting SDirtyRPlaygrnd.cam
del SDirtyRPlaygrnd.cam 2>nul command
echo.
echo Track is now selectable as Stunt Arena
pause
goto home

:tag
cls
echo.
echo Changing to Battle Tag...
xcopy battle_tag /y
echo deleting SDirtyRPlaygrnd.cam
del SDirtyRPlaygrnd.cam 2>nul command
echo deleting SDirtyRPlaygrnd.pan
del SDirtyRPlaygrnd.pan 2>nul command
echo deleting SDirtyRPlaygrnd.tri
del SDirtyRPlaygrnd.tri 2>nul command
echo.
echo Track is now selectable as Battle Tag
pause
goto home

:exit
exit


;///rain option lines\\\
:rain
title "SDRP" Configuration - Rain
cls
echo.
echo You can enable rain here.
echo Do you want to enable or disable rain? (Disabled at default)
echo.
echo 1. Enable
echo 0. Disable
echo.
echo H. Back to main menu
echo.
set /P C=Please select? 
if "%C%"=="H" goto home
if "%C%"=="h" goto home
if "%C%"=="0" goto drain
if "%C%"=="1" goto erain
goto rain

:erain
cls
echo.
echo Enabling rain...
echo Which game mode is now set? (Very important)
echo.
echo 1. Single Race, Time Trial, Practice...
echo 2. Stunt Arena
echo 3. Battle Tag
echo.
echo B. Back to rain menu
echo H. Back to main menu
echo.
set /P C=Please select? 
if "%C%"=="H" goto home
if "%C%"=="h" goto home
if "%C%"=="B" goto rain
if "%C%"=="b" goto rain
if "%C%"=="3" goto tagre
if "%C%"=="2" goto stuntre
if "%C%"=="1" goto racere
goto erain

:racere
echo.
xcopy single_race\rain /y
goto rainem

:stuntre
xcopy stunt_arena\rain /y
goto rainem

:tagre
xcopy battle_tag\rain /y
goto rainem

:rainem
echo.
echo Rain has been Enabled successfully
pause
goto home

:drain
cls
echo.
echo If you just changed mode, you don't need to disable rain, it's already
echo disabled. This will be usefull only if you have rain enabled.
echo.
echo Which game mode is now set? (Very important)
echo.
echo 1. Single Race, Time Trial, Practice...
echo 2. Stunt Arena
echo 3. Battle Tag
echo.
echo B. Back to rain menu
echo H. Back to main menu
echo.
set /P C=Please select? 
if "%C%"=="H" goto home
if "%C%"=="h" goto home
if "%C%"=="B" goto rain
if "%C%"=="b" goto rain
if "%C%"=="3" goto tagrd
if "%C%"=="2" goto stuntrd
if "%C%"=="1" goto racerd
goto drain

:racerd
echo.
xcopy single_race\SDirtyRPlaygrnd.fob /y
goto raindm

:stuntrd
xcopy stunt_arena\SDirtyRPlaygrnd.fob /y
goto raindm

:tagrd
xcopy battle_tag\SDirtyRPlaygrnd.fob /y
goto raindm

:raindm
echo.
echo Rain has been Disabled successfully
pause
goto home

;///camera option lines\\\
:cam
title "SDRP" Configuration - Camera
cls
echo.
echo You can change F5/replay camera here.
echo Remember, F5 camera isn't turned on by default, you need to enter "TVTIME" 
echo cheat or be in dev mode.
echo Use it only if you have set to Single Race game mode.
echo.
echo 1. Default 			(for use in Replay)
echo 2. Circle Topdown 		(for use in Race)
echo 3. Fixed Topdown or Topdown 2 	(for use in Race)
echo 4. Race Track Stand View 	(for use in Race and Replay)
echo 0. Remove
echo.
echo H. Back to main menu
echo.
set /P C=Please select? 
if "%C%"=="H" goto home
if "%C%"=="h" goto home
if "%C%"=="0" goto camr
if "%C%"=="4" goto cams
if "%C%"=="3" goto camf
if "%C%"=="2" goto camc
if "%C%"=="1" goto camd
goto cam

:camd
echo.
xcopy single_race\SDirtyRPlaygrnd.cam /y
echo to reversed folder...
xcopy single_race\camera\reversed\SDirtyRPlaygrnd.cam reversed\ /y
goto camcm

:camc
echo.
xcopy single_race\camera\circle\SDirtyRPlaygrnd.cam /y
echo to reversed folder...
xcopy single_race\camera\circle\SDirtyRPlaygrnd.cam reversed\ /y
goto camcm

:camf
echo.
xcopy single_race\camera\fixed\SDirtyRPlaygrnd.cam /y
echo to reversed folder...
xcopy single_race\camera\fixed\SDirtyRPlaygrnd.cam reversed\ /y
goto camcm

:cams
echo.
xcopy single_race\camera\stand\SDirtyRPlaygrnd.cam /y
echo to reversed folder...
xcopy single_race\camera\stand\SDirtyRPlaygrnd.cam reversed\ /y
goto camcm

:camr
echo.
echo deleting SDirtyRPlaygrnd.cam
del SDirtyRPlaygrnd.cam 2>nul command
echo deleting reversed\SDirtyRPlaygrnd.cam
del reversed\SDirtyRPlaygrnd.cam 2>nul command
echo.
echo Camera has been removed successfully
pause
goto home

:camcm
echo.
echo Camera has been changed successfully
pause
goto home

;ver 121103 for sdrp1
;written by VaiDuX461